<?php

function mt_clients_shortcode( $atts, $content = null ) {
	
	// Attributes
	extract( shortcode_atts(
		array(
			'number' => '-1',
			'category' => '',
			'columns' => '3',
		), $atts )
	);

	$output = '';

	$scclients = new WP_Query( array(
		'post_type' => 'client', 
		'posts_per_page' => $number, 
		'category_name' => $category
	)); 

	if ( $scclients->have_posts()) :
		

		$output .= '<section id="mt-clients"><div class="grid grid-pad">';
					
		while ( $scclients->have_posts()) : $scclients->the_post();
		
		
			$post_meta_client_url = get_post_meta( get_the_ID(), 'mt-client-external-url', TRUE );
		
		
			$output .= '<div class="col-1-' . $columns . ' mt-column-clear"><div class="client-container">'; 
			
			
			if ( get_post_meta( get_the_ID(), 'mt-client-external-url', TRUE ) ):
			
			$output .=	'<a href="'. ( $post_meta_client_url ) . '" target="_blank">'; 
			
			endif;
  
  				if(has_post_thumbnail()) {
				
  				$output .= get_the_post_thumbnail( );
	
				}
				
			if ( get_post_meta( get_the_ID(), 'mt-client-external-url', TRUE ) ):
				
			$output .=	'</a>';
				
			endif; 

			$output .= '</div></div>';

		endwhile; 

		$output .= '</div></section>';

	endif;

	wp_reset_postdata(); 

	return $output;

}

add_shortcode( 'clients', 'mt_clients_shortcode' );

?>